package com.poststats.golf.rs.api.model;

import java.math.BigInteger;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.poststats.rs.api.annotation.MapEntry;
import com.poststats.rs.api.model.BaseModel;

/**
 * @author brian.long@poststats.com
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class EventPerson extends BaseModel<EventPerson> {

	@JsonProperty(required = true, access = Access.READ_ONLY)
	@MapEntry("epersonID")
	private BigInteger id;

	@JsonProperty
	@MapEntry
	private Golfer golfer;

	@JsonProperty(required = true, access = Access.READ_ONLY)
	@MapEntry("personID")
	private long personId;

	public BigInteger getId() {
		return id;
	}

	public void setId(BigInteger id) {
		this.id = id;
	}

	public Golfer getGolfer() {
		return golfer;
	}

	public void setGolfer(Golfer golfer) {
		this.golfer = golfer;
	}

	public long getPersonId() {
		return personId;
	}

	public void setPersonId(long personId) {
		this.personId = personId;
	}

	public EventPerson withId(BigInteger id) {
		this.id = id;
		return this;
	}

	public EventPerson withGolfer(Golfer golfer) {
		this.golfer = golfer;
		return this;
	}

	public EventPerson withPersonId(long personId) {
		this.personId = personId;
		return this;
	}

}
