package com.poststats.golf.rs.api.model;

import java.math.BigInteger;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.poststats.rs.api.annotation.MapEntry;

/**
 * @author brian.long@poststats.com
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class ReferencedEventRoundPairing implements ReferenceableEventRoundPairing {

	@JsonProperty(required = true, access = Access.READ_ONLY)
	@MapEntry("pairingID")
	private BigInteger id;

	@Override
	public BigInteger getId() {
		return id;
	}

	public void setId(BigInteger id) {
		this.id = id;
	}

	public ReferencedEventRoundPairing withId(BigInteger id) {
		this.id = id;
		return this;
	}

}
