package com.poststats.golf.rs.api.model;

import java.math.BigInteger;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.poststats.rs.api.annotation.MapEntry;

@JsonIgnoreProperties(ignoreUnknown = true)
public class Round extends BaseRound<Round> implements ReferenceableRound {

	@JsonProperty(required = true, access = Access.READ_ONLY)
	@MapEntry("roundID")
	private BigInteger roundId;

	@JsonProperty
	@MapEntry
	private Golfer golfer;

	@Override
	public BigInteger getId() {
		return roundId;
	}

	public void setId(BigInteger roundId) {
		this.roundId = roundId;
	}

	public Golfer getGolfer() {
		return golfer;
	}

	public void setGolfer(Golfer golfer) {
		this.golfer = golfer;
	}

	public Round withId(BigInteger roundId) {
		this.roundId = roundId;
		return this;
	}

	public Round withGolfer(Golfer golfer) {
		this.golfer = golfer;
		return this;
	}

}
