package com.poststats.golf.rs.api.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.poststats.rs.api.annotation.MapEntry;

/**
 * @author brian.long@poststats.com
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class TransientEventRoundPairing extends BaseEventRoundPairing<TransientEventRoundPairing> {

	@JsonProperty
	@MapEntry
	private ReferenceableCourse course;

	@JsonProperty
	@MapEntry
	private ReferenceableCourseNine courseNine;

	public ReferenceableCourse getCourse() {
		return course;
	}

	public void setCourse(ReferenceableCourse course) {
		this.course = course;
	}

	public ReferenceableCourseNine getCourseNine() {
		return courseNine;
	}

	public void setCourseNine(ReferenceableCourseNine courseNine) {
		this.courseNine = courseNine;
	}

	public TransientEventRoundPairing withCourse(ReferenceableCourse course) {
		this.course = course;
		return this;
	}

	public TransientEventRoundPairing withCourseNine(ReferenceableCourseNine courseNine) {
		this.courseNine = courseNine;
		return this;
	}

}
